# $Revision: 1.27 $, $Date: 2004/09/19 22:09:08 $
Summary:	Miscellaneous support for editing text files
Summary(pl):	Wsparcie do edycji rnych typw plikw
Name:		xemacs-text-modes-pkg
%define 	srcname	text-modes
Version:	1.71
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	39be167962dc1a547a13f8bb1788327f
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-ispell-pkg
Requires:	xemacs-fsf-compat-pkg
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Miscellaneous support for editing text files.

%description -l pl
Wsparcie do edycji rznych typw plikw.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/text-modes/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-text-modes-pkg.spec,v $
Revision 1.27  2004/09/19 22:09:08  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.26  2003/11/26 16:00:15  speedy
updated to  1.71

Revision 1.25  2003/09/09 10:25:02  ankry
- spaces -> tab

Revision 1.24  2003/05/28 13:03:07  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:28:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.21  2002/12/02 11:06:29  ankry
- massive cleaning

Revision 1.20  2002/11/21 16:55:17  mis
- autoupdated to 1.55

Revision 1.19  2002/08/17 14:52:13  kloczek
- (auto)updated to 1.51.

Revision 1.18  2002/07/17 18:20:11  kloczek
- updated to 1.48 and use new %doc.

Revision 1.17  2002/07/04 07:53:56  kloczek
- updated to 1.46 (bug fixes).

Revision 1.16  2002/04/18 14:16:25  wiget
updated to 1.40

Revision 1.15  2002/04/14 12:26:59  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.14  2002/02/23 05:20:04  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:30:05  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/09 20:10:29  kloczek
- updated to 1.36.

Revision 1.11  2002/01/18 02:15:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/08/02 08:45:27  mis
- autoupdated to 1.32

Revision 1.9  2001/05/11 18:52:47  mis
- autoupdated to 1.30

Revision 1.8  2001/02/13 18:38:48  mis
- updated to 1.29

Revision 1.7  2000/11/29 13:26:18  kloczek
- updated to 1.28,
- added pl Summary and %description.

Revision 1.6  2000/09/26 08:43:13  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.5  2000/04/01 11:16:01  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:21  baggins
- translated kloczkish into english

Revision 1.3  2000/03/28 01:42:32  kloczek
- cleanups and reorganizations.

Revision 1.2  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.1  2000/02/07 23:01:06  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
